GDBserver

Classes | Functions | Variables
dll.h File Reference
`#include <list>`

Go to the source code of this file.

## Classes
struct | dll_info

## Functions
void | clear_dlls (void)
void | loaded_dll (const char *name, CORE_ADDR base_addr)
void | unloaded_dll (const char *name, CORE_ADDR base_addr)

## Variables
std::list< dll_info > | all_dlls
int | dlls_changed

## Function Documentation

## ◆ clear_dlls()

void clear_dlls | ( | void |  | ) |

Definition at line 77 of file dll.c.

References all_dlls.

Referenced by clear_inferiors().

## ◆ loaded_dll()

void loaded_dll | ( | const char * | name,
|  | CORE_ADDR | base_addr
| ) |  |

Definition at line 32 of file dll.c.

References all_dlls, dlls_changed, and name.

Referenced by win32_add_one_solib().

## ◆ unloaded_dll()

void unloaded_dll | ( | const char * | name,
|  | CORE_ADDR | base_addr
| ) |  |

Definition at line 41 of file dll.c.

References all_dlls, dlls_changed, name, and UNSPECIFIED_CORE_ADDR.

Referenced by handle_unload_dll().

## Variable Documentation

## ◆ all_dlls

std::list<dll_info> all_dlls

Definition at line 26 of file dll.c.

Referenced by clear_dlls(), handle_qxfer_libraries(), loaded_dll(), and unloaded_dll().

## ◆ dlls_changed

int dlls_changed

Definition at line 27 of file dll.c.

Referenced by captured_main(), handle_v_attach(), loaded_dll(), prepare_resume_reply(), and unloaded_dll().